<?

 /*************************************************************************************
 * Filename: modules/comments.php
 *
 * This file is part of the DocIT JAS plugin.
 * Copyright 2003-2016 by Matthijs Schuurman
 *
 * The DocIT JAS plugin is free software under the terms of the
 * GNU General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the plugin or http://jas.junerules.com/plugins/docit/
 *************************************************************************************/


 require_once($_path["include"]."module.php");

 class Plugin_Module_docit_comments extends Module
 {
  function __construct(&$data)
  {
   parent::__construct($data);

   $this->data->title="DocIT comments";
   $this->data->addField("text", "text", "all", "title;markup", 5, 1000, false, "Comment");

   $this->data->defaultFields();

   $this->data->addField("docittopicnr", "nr", "show;sql", "", 1, false, 0);
   $this->data->addReference("docittopic", "docit_topics", "nr", "*:1", "docittopicnr");

   $this->data->sortOrder("updated-");
  }
 }
?>
